Skip to content
Browse files

Updated gemspec to get to build on github, bumped to 0.1.3

  • Loading branch information...
1 parent 9dc355a commit 511c76e1c9593970ce1a70b625c532e369cf1afa @cannikin cannikin committed Apr 22, 2009
Showing with 20 additions and 28 deletions.
  1. +2 −0 .gitignore
  2. +3 −0 History.txt
  3. +1 −1 VERSION.yml
  4. +13 −26 gattica.gemspec
  5. +1 −1 lib/gattica.rb
View
2 .gitignore
@@ -0,0 +1,2 @@
+*.gem
+github-test.rb
View
3 History.txt
@@ -1,3 +1,6 @@
+== 0.1.3 / 2009-04-22
+ * Getting gem to build on github
+
== 0.1.2 / 2009-04-22
* Updated readme and examples, better documentation throughout
View
2 VERSION.yml
@@ -1,4 +1,4 @@
---
:major: 0
:minor: 1
-:patch: 2
+:patch: 3
View
39 gattica.gemspec
@@ -1,36 +1,23 @@
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
- s.name = %q{gattica}
- s.version = "0.1.2"
+ s.name = 'gattica'
+ s.version = "0.1.3"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Rob Cameron"]
- s.date = %q{2009-04-22}
- s.description = %q{Gattica is a Ruby library for extracting data from the Google Analytics API.}
- s.email = %q{cannikinn@gmail.com}
+ s.authors = ['Rob Cameron']
+ s.date = '2009-04-22'
+ s.description = 'Gattica is a Ruby library for extracting data from the Google Analytics API.'
+ s.email = 'cannikinn@gmail.com'
s.files = ["History.txt", "README.rdoc", "LICENSE", "VERSION.yml", "examples/example.rb", "lib/gattica", "lib/gattica.rb", "lib/gattica/account.rb", "lib/gattica/auth.rb", "lib/gattica/convertible.rb", "lib/gattica/core_extensions.rb", "lib/gattica/data_point.rb", "lib/gattica/data_set.rb", "lib/gattica/exceptions.rb", "lib/gattica/user.rb", "test/fixtures", "test/helper.rb", "test/suite.rb", "test/test_sample.rb"]
s.has_rdoc = true
- s.homepage = %q{http://github.com/cannikin/gattica}
+ s.homepage = 'http://github.com/cannikin/gattica'
s.rdoc_options = ["--inline-source", "--charset=UTF-8"]
s.require_paths = ["lib"]
- s.rubyforge_project = %q{gattica}
- s.rubygems_version = %q{0.1.2}
- s.summary = %q{Gattica is a Ruby library for extracting data from the Google Analytics API.}
-
- #if s.respond_to? :specification_version then
- # current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
- # s.specification_version = 2
- #
- # if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
- # s.add_runtime_dependency(%q<mime-types>, [">= 1.15"])
- # s.add_runtime_dependency(%q<diff-lcs>, [">= 1.1.2"])
- # else
- # s.add_dependency(%q<mime-types>, [">= 1.15"])
- # s.add_dependency(%q<diff-lcs>, [">= 1.1.2"])
- # end
- #else
- # s.add_dependency(%q<mime-types>, [">= 1.15"])
- # s.add_dependency(%q<diff-lcs>, [">= 1.1.2"])
- #end
+ s.summary = 'Gattica is a Ruby library for extracting data from the Google Analytics API.'
+
+ s.requirements << 'A Google Analytics Account'
+ s.requirements << 'One or more Profiles that are being tracked in your GA account'
+
+ s.add_dependency('hpricot','>= 0.8.1')
end
View
2 lib/gattica.rb
@@ -63,7 +63,7 @@
module Gattica
- VERSION = '0.1.2'
+ VERSION = '0.1.3'
LOGGER = Logger.new(STDOUT)
def self.new(*args)

0 comments on commit 511c76e

Please sign in to comment.
Something went wrong with that request. Please try again.